> ## Documentation Index
> Fetch the complete documentation index at: https://docs.etherscan.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get ERC721 Token Transfers by Address

> Retrieves the list of ERC-721 token transfers made by a specified address, with optional filtering by token contract.

export const chain = '1';

<ResponseExample>
  ```json Response theme={null}
  {
    "status": "1",
    "message": "OK",
    "result": [
      {
        "blockNumber": "4708120",
        "timeStamp": "1512907118",
        "hash": "0x031e6968a8de362e4328d60dcc7f72f0d6fc84284c452f63176632177146de66",
        "nonce": "0",
        "blockHash": "0x4be19c278bfaead5cb0bc9476fa632e2447f6e6259e0303af210302d22779a24",
        "from": "0xb1690c08e213a35ed9bab7b318de14420fb57d8c",
        "contractAddress": "0x06012c8cf97bead5deae237070f9587f8e7a266d",
        "to": "0x6975be450864c02b4613023c2152ee0743572325",
        "tokenID": "202106",
        "tokenName": "CryptoKitties",
        "tokenSymbol": "CK",
        "tokenDecimal": "0",
        "transactionIndex": "81",
        "gas": "158820",
        "gasPrice": "40000000000",
        "gasUsed": "60508",
        "cumulativeGasUsed": "4880352",
        "input": "deprecated",
        "methodId": "0x454a2ab3",
        "functionName": "bid(uint256 _tokenId)",
        "confirmations": "18759540"
      }
    ]
  }
  ```
</ResponseExample>


## OpenAPI

````yaml openapi/api-reference/endpoint/tokennfttx.json GET /v2/api
openapi: 3.1.0
info:
  title: Get ERC721 Token Transfers by Address
  version: 2.0.0
  description: >-
    Retrieves the list of ERC-721 token transfers made by a specified address,
    with optional filtering by token contract.
  license:
    name: Etherscan API Terms
    url: https://etherscan.io/terms
servers:
  - url: https://api.etherscan.io
    description: Etherscan API.
security:
  - apiKey: []
paths:
  /v2/api:
    get:
      summary: Get ERC721 Token Transfers by Address
      description: >-
        Retrieves the list of ERC-721 token transfers made by a specified
        address, with optional filtering by token contract.
      operationId: getTokennfttx
      parameters:
        - name: chainid
          in: query
          required: true
          description: >-
            Chain ID to query, eg 1 for Ethereum, 42161 for Arbitrum from our
            [supported chains](/supported-chains).
          schema:
            type: string
          example: '1'
        - name: module
          in: query
          required: true
          description: Set to account for this endpoint.
          schema:
            type: string
            default: account
          example: account
        - name: action
          in: query
          required: true
          description: Set to tokennfttx for this endpoint.
          schema:
            type: string
            default: tokennfttx
          example: tokennfttx
        - name: contractaddress
          in: query
          required: false
          description: >-
            The ERC721 token contract address to filter transfers by. Provide
            contractaddress or address.
          schema:
            type: string
          example: '0x06012c8cf97bead5deae237070f9587f8e7a266d'
        - name: address
          in: query
          required: false
          description: >-
            The account address to filter transfers by. Provide address or
            contractaddress.
          schema:
            type: string
          example: '0x6975be450864c02b4613023c2152ee0743572325'
        - name: page
          in: query
          required: false
          description: Page number for pagination.
          schema:
            type: integer
          example: 1
        - name: offset
          in: query
          required: false
          description: >-
            Number of records per page. Use the page parameter for subsequent
            records.
          schema:
            type: integer
          example: 100
        - name: startblock
          in: query
          required: false
          description: Starting block number to search from.
          schema:
            type: integer
          example: 0
        - name: endblock
          in: query
          required: false
          description: Ending block number to search to.
          schema:
            type: integer
          example: 999999999
        - name: sort
          in: query
          required: false
          description: >-
            Sort order either `desc` for the latest transactions first or `asc`
            for the oldest transactions first.
          schema:
            type: string
          example: asc
      security:
        - apiKey: []
components:
  securitySchemes:
    apiKey:
      type: apiKey
      in: query
      name: apikey
      description: Your Etherscan API key.

````